Subject: Re: [Bitcoin-development] A suggestion for reducing the size of the UTXO database

From: Raystonn <[email-masked]>
Date: Sat, 9 May 2015 13:20:06 -0700

That policy is included in Bitcoin Core.  Miners use it because it is the default.  The policy was likely intended to help real transactions get through in the face of spam.  But it favors those with more bitcoin, as the priority is determined by amount spent multiplied by age of UTXOs.  At the very least the amount spent should be removed as a factor, or fees are unlikely to ever be paid by those who can afford them.  We can reassess the role age plays later.  One change at a time is better.

On 9 May 2015 12:52 pm, Jim Phillips <[email-masked]> wrote:

On Sat, May 9, 2015 at 2:43 PM, Raystonn <[email-masked]> wrote:

How about this as a happy medium default policy: Rather than select UTXOs based solely on age and limiting the size of the transaction, we select as many UTXOs as possible from as few addresses as possible, prioritizing which addresses to use based on the number of UTXOs it contains (more being preferable) and how old those UTXOs are (in order to reduce the fee)?

If selecting older UTXOs gives higher priority for a lesser (or at least not greater) fee, that is an incentive for a rational user to use the older UTXOs.  Such policy needs to be defended or removed.  It doesn't support privacy or a reduction in UTXOs.

Before starting this thread, I had completely forgotten that age was even a factor in determining which UTXOs to use. Frankly, I can't think of any reason why miners care how old a particular UTXO is when determining what fees to charge. I'm sure there is one, I just don't know what it is. I just tossed it in there as homage to Andreas who pointed out to me that it was still part of the selection criteria.